Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcontact/admin/error.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: error.php 6970 2001-09-05 11:57:07Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 $ini =& $GlobalSiteIni;
28 $Language = $ini->variable( "eZContactMain", "Language" );
29 $DOC_ROOT = 'ezcontact';
30
31 $t = new eZTemplate( $DOC_ROOT . "/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ), $DOC_ROOT . "/admin/intl", $Language, "error.php" );
32 $t->setAllStrings();
33
34 $page_path = "/contact/error";
35 $item_error = true;
36
37 $t->set_file( array(
38 "error_page" => "error.tpl",
39 ) );
40 $t->set_block( "error_page", "uri_item_tpl", "uri_item" );
41
42 $t->set_var( "uri_item", "" );
43
44 if ( empty( $BackUrl ) )
45 {
46 $back_command = "/";
47 }
48 else
49 {
50 $back_command = $BackUrl;
51 }
52
53 // header( "Error $Type: " );
54
55 if ( !empty( $Uri ) )
56 {
57 $t->set_var( "uri_data", "http://" . $_SERVER["HTTP_HOST"] . $Uri );
58 $t->parse( "uri_item","uri_item_tpl" );
59 }
60
61 $t->pparse( "output", "error_page" );
62
63 ?>
eZTemplate
Definition: eztemplate.php:107
$GlobalSiteIni
$GlobalSiteIni
Definition: ezarticle/xmlrpc/xmlrpcserver.php:33
$DOC_ROOT
$DOC_ROOT
Definition: ezcontact/admin/error.php:29
$t
$t
Definition: ezcontact/admin/error.php:31
$item_error
$item_error
Definition: ezcontact/admin/error.php:35
$Language
$Language
Definition: ezcontact/admin/error.php:28
$ini
$ini
Definition: ezcontact/admin/error.php:27
$page_path
$page_path
Definition: ezcontact/admin/error.php:34
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.